Subject: Re: bug#11909: automake 1.12.2 fails t/self-check-explicit-skips.sh on Mac OS X 10.7.4

From: Stefano Lattarini <[email-masked]>
Date: Sat, 14 Jul 2012 13:38:52 +0200

severity 11909 minor
thanks

On 07/11/2012 02:37 PM, Max Horn wrote:
> Hi there,
Hi Max, sorry for the delay.

> turns out there is one more test failure on Mac OS X 10.7.4,
> in t/self-check-explicit-skips.sh.
>
I can reproduce the issue with bash 3.2 on Debian.

> Looking at the code, I don't understand it at all, so please don't
> torch me if this isn't a bug in the automake test suite but rather
> in Mac OS X :).
>
It's probably a limitation on older bash versions, that breaks an
invariant the Automake testsuite framework expects.  Probably nothing
serious, but I will attempt a fix since I can reproduce the problem.

> I just want to know what is causing this and whether I should ignore
> it, disable the test, or apply some patch.
>
I hope I'll manage to fix it soon, but for the moment, just ignore it.

Thanks,
  Stefano